| Bsoft 2.0.5 Bernard's software package

Functions | Variables
btube.cpp File Reference

Symmetrizes helical tubes with hexagonal lattices. More...

`#include "rwimg.h"`
`#include "options.h"`
`#include "utilities.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Symmetrizes helical tubes with hexagonal lattices.

Author
  Bernard Heymann

Date
  Created: 20131022
  Modified: 20131028

Definition in file btube.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 47 of file btube.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: btube [options] input.img output.img",
"-------------------------------------------",
"Symmetrizes helical tubes with hexagonal lattices.",
" ",
"Actions:",
"-lattice 5,9 Lattice parameters (units along u and v vectors).",
"-normalize Normalize symmetrized output, use for maps close to symmetry (default not).",
"-background Calculate new background values.",
"-rescale -0.1,5.2 Rescale data to average and standard deviation.",
" ",
"Parameters:",
"-verbose 1 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; a single value can be given).",
"-origin 110,50,44 Origin for tube (default 0,0,0 or from image).",
"-constant 95 Lattice constant: distance between units in angstrom (default 1).",
"-zlimits 8,47 Range of slices along the helical axis to use (default 0,inf).",
"-radius 22 Radial limit for symmetrization in pixels (default from image).",
" ",
NULL
}

Definition at line 20 of file btube.cpp.

## ◆ verbose

int verbose